- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Format\Audio\DefaultAudio

abstract class DefaultAudio extends EventEmitter implements AudioInterface, ProgressableInterface

## Methods

array() | getExtraParams() Returns an array of extra parameters to add to ffmpeg commandline. |
string | getAudioCodec() Returns the audio codec. |
| setAudioCodec(string $audioCodec) Sets the audio codec, Should be in the available ones, otherwise an exception is thrown. |
integer | getAudioKiloBitrate() Gets the audio kiloBitrate value. |
| setAudioKiloBitrate(integer $kiloBitrate) Sets the kiloBitrate value. |
integer | getAudioChannels() Gets the audio channels value. |
| setAudioChannels(integer $channels) Sets the channels value. |
array | createProgressListener(MediaTypeInterface $media, FFProbe $ffprobe, Integer $pass, Integer $total) Creates the progress listener. |
string | getPasses() Returns the number of passes. |

## Details

###
at line 36
`public array() getExtraParams()`

Returns an array of extra parameters to add to ffmpeg commandline.

#### Return Value

array() |

###
at line 44
`public string getAudioCodec()`

Returns the audio codec.

#### Return Value

string |

###
at line 57
`public setAudioCodec(string $audioCodec)`

Sets the audio codec, Should be in the available ones, otherwise an exception is thrown.

#### Parameters

string | $audioCodec |

#### Exceptions

InvalidArgumentException |

###
at line 74
`public integer getAudioKiloBitrate()`

Gets the audio kiloBitrate value.

#### Return Value

integer |

###
at line 85
`public setAudioKiloBitrate(integer $kiloBitrate)`

Sets the kiloBitrate value.

#### Parameters

integer | $kiloBitrate |

#### Exceptions

InvalidArgumentException |

###
at line 99
`public integer getAudioChannels()`

Gets the audio channels value.

#### Return Value

integer |

###
at line 110
`public setAudioChannels(integer $channels)`

Sets the channels value.

#### Parameters

integer | $channels |

#### Exceptions

InvalidArgumentException |

###
at line 124
`public array createProgressListener(MediaTypeInterface $media, FFProbe $ffprobe, Integer $pass, Integer $total)`

Creates the progress listener.

#### Parameters

MediaTypeInterface | $media |
FFProbe | $ffprobe |
Integer | $pass | The current pas snumber
Integer | $total | The total pass number

#### Return Value

array | An array of listeners

###
at line 138
`public string getPasses()`

Returns the number of passes.

#### Return Value

string |